package com.ruoyi.system.service_shate.impl;

import com.ruoyi.system.domain_shate.Climate;
import com.ruoyi.system.domain_shate.RegionIndex;
import com.ruoyi.system.domain_shate.RoadFactor;
import com.ruoyi.system.domain_shate.WaterFactor;
import com.ruoyi.system.mapper_shate.RegionalFactorMapper;
import com.ruoyi.system.service_shate.IRegionalFactorService;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;
import org.yaml.snakeyaml.events.Event;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 11:23
 */
@Service
public class RegionalFactorServiceIpml implements IRegionalFactorService {

    @Resource
    private RegionalFactorMapper mapper;

    @Override
    public List<WaterFactor> sqlYear() {
        return mapper.sqlYear();
    }

    @Override
    public List<RegionIndex> sqlYear1() {
        return mapper.sqlYear1();
    }

    @Override
    public List<RoadFactor> sqlYear2() {
        return mapper.sqlYear2();
    }

    @Override
    public List<WaterFactor> sqlWater(String zone, String year) {
        return mapper.sqlWater(zone,year);
    }

    @Override
    public List<RegionIndex> sqlRegion(String zone,String year) {
        return mapper.sqlRegion(zone,year);
    }

    @Override
    public List<RoadFactor> sqlRoad(String zone,String year) {
        return mapper.sqlRoad(zone,year);
    }

    @Override
    public Integer InsertWater(WaterFactor factor) {
        return mapper.InsertWater(factor);
    }

    @Override
    public Integer InsertWaterArea(RegionIndex index) {
        return mapper.InsertWaterArea(index);
    }

    @Override
    public Integer InsertRoadLength(RegionIndex index) {
        return mapper.InsertRoadLength(index);
    }


    @Override
    public Integer InsertRoad(RoadFactor factor) {
        return mapper.InsertRoad(factor);
    }

    @Override
    public List<Climate> sqlClimate(String zone) {
        return mapper.sqlClimate(zone);
    }
}
